<?php

namespace App\Http\Requests\V3\WebServices\RoadMaintenanceStation;

use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Hash;

class IndexRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return
            $this->username === 'service_user257' &&
            Hash::check('S3rv1ce@123', $this->password);
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, ValidationRule|array|string>
     */
    public function rules(): array
    {
        return [
            'province' => 'exists:provinces,id',
            'status' => 'in:0,1',
            'type' => 'in:1,2,3',
        ];
    }
}
